//
//  Screen1.swift
//  TranslucentBackground
//
//  Created by Venkata Ajay Nellori on 01/08/23.
//

import SwiftUI
import FlowStacks
struct Screen1: View {
    @EnvironmentObject var navigator: FlowNavigator<Route>
    var body: some View {
        VStack(spacing: 20) {
            Spacer()
            Text("Screen 1")
                .font(Font.title)
                .foregroundColor(.white)
            Spacer()
            Button(action: {
                let route = Route.screen2
                navigator.presentCover(route,embedInNavigationView: true)
            }, label: {
                Text("Cover Vertical")
                    .foregroundColor(.white)
                    .font(.headline)
            })
            Spacer()
            Button(action: {
                let route = Route.screen2
                navigator.presentSheet(route,embedInNavigationView: true)
            }, label: {
                Text("Sheet")
                    .foregroundColor(.white)
                    .font(.headline)
            })
            Spacer()
        }
        .frame(maxWidth: .infinity, maxHeight: .infinity)
        .background(Color.blue)
    }
}

struct Screen1_Previews: PreviewProvider {
    static var previews: some View {
        Screen1()
    }
}
