//
//  Screen2.swift
//  TranslucentBackground
//
//  Created by Venkata Ajay Nellori on 01/08/23.
//

import SwiftUI
import FlowStacks
struct Screen2: View {
    @EnvironmentObject var navigator: FlowNavigator<Route>
    var body: some View {
        ZStack(alignment: .bottom) {
            Color.black.opacity(0.35).edgesIgnoringSafeArea(.all)
            VStack{
                HStack {
                    Spacer()
                    Image(systemName: "x.circle")
                        .foregroundColor(.white)
                        .font(.title)
                        .onTapGesture {
                            navigator.dismiss()
                        }
                }
                .padding()
                Spacer()
                Text("Screen 2")
                    .foregroundColor(.white)
                    .font(.title)
                Spacer()
            }
            .frame(maxWidth: .infinity, maxHeight: 300)
            .background(Color.red)
        }
    }
}

struct Screen2_Previews: PreviewProvider {
    static var previews: some View {
        Screen2()
    }
}
